Subject: Re: [PATCH] gitk: Add horizontal scrollbar to the diff view

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 8 Mar 2008 00:51:57 -0500

Paul Mackerras <[email-masked]> wrote:
> Shawn O. Pearce writes:
> 
> > git-gui does this scrollbar on-demand thing in its revision list meta-widget,
> > which is lib/choose_rev.tcl.  The procedure in question is this, and it gets
> > installed as:
> 
> That's a nice idea, doing it in _sb_set.  However, since the text
> widget adjusts the horizontal scroll bar depending on what's visible,
> that would mean the scroll bar would appear and disappear as you
> scrolled vertically through the text, which would be disconcerting.
> So for a text I think it's better to have the scrollbar there
> permanently.

Yea.  For a list it looks a little funny too, but its better than
not having the scrollbar there at all and looking at a chopped name
that you can't tell apart from another chopped name.  Which was a
bug I suffered from in the early dark ages of git-gui at my day
job.  Imagine Aunt Tillies blindly merging branches because they
cannot see the full branch names.  :-)
 
> Also, I wonder if you could use pack forget instead of destroying the
> scrollbar?

Because I didn't even know about that option to pack.  I'll have to
look into switching the code to do that.  Thanks for the suggestion.

-- 
Shawn.